SUSE SLED15 / SLES15 / openSUSE 15 Security Update : emacs (SUSE-SU-2022:4310-1)

high Nessus Plugin ID 168378

Language:

Synopsis

The remote SUSE host is missing a security update.

Description

The remote SUSE Linux SLED15 / SLES15 / openSUSE 15 host has packages installed that are affected by a vulnerability as referenced in the SUSE-SU-2022:4310-1 advisory.

- GNU Emacs through 28.2 allows attackers to execute commands via shell metacharacters in the name of a source-code file, because lib-src/etags.c uses the system C library function in its implementation of the ctags program. For example, a victim may use the ctags * command (suggested in the ctags documentation) in a situation where the current working directory has contents that depend on untrusted input.
(CVE-2022-45939)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://bugzilla.suse.com/1205822

https://www.suse.com/security/cve/CVE-2022-45939

http://www.nessus.org/u?df27ca34

Plugin Details

Severity: High

ID: 168378

File Name: suse_SU-2022-4310-1.nasl

Version: 1.3

Type: local

Agent: unix

Published: 12/3/2022

Updated: 1/20/2023

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.2

Temporal Score: 5.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-45939

CVSS v3

Risk Factor: High

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:emacs:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:emacs-nox:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:emacs-x11:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:etags:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:emacs-el:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:emacs-info:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 12/2/2022

Vulnerability Publication Date: 11/28/2022

Reference Information

CVE: CVE-2022-45939

SuSE: SUSE-SU-2022:4310-1